Subject: [rtcweb] FW: [MMUSIC] BUNDLE: media-level c= lines in bundle-only m= sections?

From: Christer Holmberg <[email-masked]>
Date: Thu, 4 Jan 2018 13:12:20 +0000

FYI,

This also impacts JSEP, which currently specifies that media-level c= lines are added to ALL bundled m= sections – including bundle-only ones.

Regards,

Christer

From: mmusic <[email-masked]<mailto:[email-masked]>> on behalf of Christer Holmberg <[email-masked]<mailto:[email-masked]>>
Date: Thursday 4 January 2018 at 15:08
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: Ben Campbell <[email-masked]<mailto:[email-masked]>>
Subject: [MMUSIC] BUNDLE: media-level c= lines in bundle-only m= sections?

Hi,

BUNDLE doesn’t say much about c= lines, the assumption being that there are no BUNDLE-specific rules related to c= lines: one can use a session-level c= line, or media-level c= lines, also with BUNDLE. The BUNDLE address will use whatever IP address is associated (implicitly or explicitly) with the tagged m= section.

So far so good.

Now, Ekr raised a JSEP GitHub issue regarding media-level c= lines in bundle-only m= sections. As we know, BUNDLE currently specifies that a zero port value is assigned to bundle-only m= sections, but nothing is said about media-level c= lines.

https://github.com/rtcweb-wg/jsep/issues/843

(The GitHub issue was initially created because of another issue, but if you follow the discussion it will end up in this)

My suggestion would be that an offerer/answerer MUST NOT assign media-level c= lines to bundle-only m= sections.

Would people be ok with this? Does someone suggest something else?

Whatever the outcome, I think it would be good to clarify it in BUNDLE. I don't think we need to bring the document back to the WG in order to do that – if we can agree on the text I will implement it in a future update (e.g., based on the IESG reviews) of the draft.

Regards,

Christer